What you can do with the Timer setting

Introducing the Timer

The Timer automatically turns on your computer at a specific date and time, and starts a specific application or document. You can use the Timer settings to choose when to turn on your computer and which application or document to start. There are two types of timer settings:

  • Specify the date and time (once): starts your computer at the specified date and time (example: 19:00, April 4, 2000)
  • Specify the day and time (weekly): starts your computer on the same day each week at the specified time

Notes

  • Notebook computer users cannot use the timer from the shutdown status window.
  • For desktop computer users, refer to the instruction manual of your computer for details of the timer function.


Limitations on the timer function

Timer Limitations

When you use the Timer, keep the following limitations in mind to avoid malfunctions:

  • If the Timer starts an application that is already running, the results will vary. A malfunction may occur with some types of applications.
  • When setting the Timer to start an application that uses an external device such as a PC card, increase the Display time of message before launching setting to accomodate the time necessary for the system to recognize an external device.
  • The timing of when the Timer starts or puts the system in hibernation mode may generate an error.
  • Do not use another timer application at the same time you use the VAIO Action Setup Timer.


Timer Setup

Setting the Timer

The Timer Setting tab is where you specify which application or document you want the Timer to start and when you want it to start.

To select which application or document the Timer starts:

  1. Click the Timer button in the VAIO Action Setup window.
  2. Click the Timer Setting tab.
  3. Click the [image] button.
  4. Follow the Select Application wizard instructions.
  5. Click Finish to activate your settings.
    The application icon, setting name, and information appear on the screen.

To set when the Timer starts:

  1. Click the Set button.
  2. Follow the Timer Setup wizard instructions.

Notes

  • To cancel the Timer's date and time settings, click the Reset button.
  • To display when the timer is scheduled to start, click the Next execution button.
  • To check detailed information about the timer settings (such as weekly settings, and suspend or hibernation settings), review the Description.


Advanced Setting

Changing the Timer message display

You can define how long the startup message displays before the Timer starts the specified application.

To change the Timer message display:

  1. Click the Timer button in the VAIO Action Setup window.
  2. Click the Advanced Setting tab.
  3. In the Length of time to display a message before launching field, enter the number of seconds you want the message displays before starting the application.
  4. Click Apply to accept your changes.

Note

Closing the VAIO Action Setup window before clicking Apply, cancels your changes.


Specifying the timer-start software

Using the Timer's Select Application Wizard

You can use the Select Application wizard to specify which application or document the Timer starts. This process is also referred to as "registering" the application or document.

To use the Select Application wizard:

  1. Click a task (such as Recommended Setting or E-Mail) on the left side of the screen, or click Drag & Drop to drag and drop a document from the Windows desktop.
  2. Click the desired application or document in the tree display on the right side of the screen, or if you selected Drag & Drop in step 1, drag the desired document and release the button.
  3. Click Next.

    Notes
    If you selected E-Mail or WWW browser in step 1, select the Preset Script settings and click Next.

    • To specify a dialup network, check Dial-up connection and then select a connection from the list.
    • If you want your computer to go into an energy-saving mode after the preset script runs, check Set status after processing, and then select the energy mode.
    • If your computer has an information indicator, select a lamp status setting to indicate that a Preset Script has finished running, and then click Next.
  4. Select optional startup options, and then click Next.
    • To specify the working directory for the application, specify the desired folder.
    • To specify a command line option, enter it in the Command line option field.
  5. Select Specify date and time and execute one time only (Once) or Weekly setting (Weekly), and then click Next.
  6. Specify the date and time when you want the Timer to start and then click Next.
  7. If you want your computer to go into an energy-saving mode after a Preset Script runs, check Set a power status for the computer to enter after Timer execution, select the mode, and then click Next.
  8. On the Application List tab, enter a name for your setup and any other relevant information.
  9. Click Finish to close the wizard close and register the application or document.
    You can confirm registration of the application or document on the Timer Setting tab.

Note

If the Giga Pocket software is installed to your computer and you have already set the program recording using the Giga Pocket, the timer screen of the Giga Pocket appears after you set the timer with the VAIO Action Setup.

Be sure not to overlap the timer setup between these software. If the timer setup overlaps, change one of the setup.